# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`opendmarc`](#opendmarc): main class to include
* [`opendmarc::install`](#opendmarcinstall): Internal class, that ensures opendmarc is installed.  Parameters:
* [`opendmarc::service`](#opendmarcservice): create the opendmarc Service  Parameters:

### Resource types

* [`opendmarc_config`](#opendmarc_config): setting name to manage from opendmarc
* [`opendmarc_default`](#opendmarc_default): setting name to manage default opendmarc

## Classes

### <a name="opendmarc"></a>`opendmarc`

main class to include

#### Parameters

The following parameters are available in the `opendmarc` class:

* [`configs`](#configs)
* [`defaults`](#defaults)

##### <a name="configs"></a>`configs`

Data type: `Hash`

configurations to load

Default value: `{}`

##### <a name="defaults"></a>`defaults`

Data type: `Hash`

defaults to load

Default value: `{}`

### <a name="opendmarcinstall"></a>`opendmarc::install`

Internal class, that ensures
opendmarc is installed.

Parameters:

#### Parameters

The following parameters are available in the `opendmarc::install` class:

* [`packages`](#packages)
* [`package_ensure`](#package_ensure)

##### <a name="packages"></a>`packages`

Data type: `Array`

Array of packages to install

Default value: `['opendmarc']`

##### <a name="package_ensure"></a>`package_ensure`

Data type: `String`

ensure for package install
defaults to 'installed'

Default value: `'installed'`

### <a name="opendmarcservice"></a>`opendmarc::service`

create the opendmarc Service

Parameters:

#### Parameters

The following parameters are available in the `opendmarc::service` class:

* [`service_name`](#service_name)
* [`service_ensure`](#service_ensure)
* [`service_enable`](#service_enable)

##### <a name="service_name"></a>`service_name`

Data type: `String`

The name of the service
Defaults to 'opendmarc'

Default value: `'opendmarc'`

##### <a name="service_ensure"></a>`service_ensure`

Data type: `String`

state of the service.
Defaults to  'running'

Default value: `'running'`

##### <a name="service_enable"></a>`service_enable`

Data type: `Boolean`

if service should be enabled
Defaults to true

Default value: ``true``

## Resource types

### <a name="opendmarc_config"></a>`opendmarc_config`

setting name to manage from opendmarc

#### Properties

The following properties are available in the `opendmarc_config` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

##### `value`

The value of the setting to be defined.

#### Parameters

The following parameters are available in the `opendmarc_config` type.

* [`name`](#name)
* [`provider`](#provider)
* [`secret`](#secret)

##### <a name="name"></a>`name`

Valid values: `%r{\S+}`

namevar

setting name to manage from opendmarc

##### <a name="provider"></a>`provider`

The specific backend to use for this `opendmarc_config` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

##### <a name="secret"></a>`secret`

Valid values: ``true``, ``false``

Whether to hide the value from Puppet logs. Defaults to `false`.

Default value: ``false``

### <a name="opendmarc_default"></a>`opendmarc_default`

setting name to manage default opendmarc

#### Properties

The following properties are available in the `opendmarc_default` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

##### `value`

The value of the setting to be defined.

#### Parameters

The following parameters are available in the `opendmarc_default` type.

* [`name`](#name)
* [`provider`](#provider)
* [`secret`](#secret)

##### <a name="name"></a>`name`

Valid values: `%r{\S+}`

namevar

setting name to manage default opendmarc

##### <a name="provider"></a>`provider`

The specific backend to use for this `opendmarc_default` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

##### <a name="secret"></a>`secret`

Valid values: ``true``, ``false``

Whether to hide the value from Puppet logs. Defaults to `false`.

Default value: ``false``

